# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:api,cmdc新增控销商品至常购清单列表,2252,2252-1,sit,bs
主数据平台:多彩商城常购清单列表新增商品接口 
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多彩商城登录.多彩商城登录 import CmdcMaiiLogin
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json


module = "cmdc_frequent_purchase"

# 步骤一登录后台管理系统查询商品列表获取控销商品信息
# 获取登录后台管理系统所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
print(cmdc_access_token)
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)
print(headers)
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url50")
print(url)
request_body = commonFuc().get_business_data(module, "payload50")
print(request_body)
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
print(result)
product_id = result["data"]["list"][0]["productId"]
print(product_id)
price = result["data"]["list"][0]["referencePrice"]
print(price)
# 第二步登录多彩商城添加控销商品至常购清单列表
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
print(cmdc_access_token)
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)
print(headers)
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
print(url)
request_body = commonFuc().get_business_data(module, "payload5", product_id, price)
print(request_body)
"""
 场景:新增控销商品至常购清单列表
 用例名称：新增控销商品至常购清单列表
 输出：{'success': False, 'code': 'addFrequentPurchaseFail', 'message': '商品为控销状态，不可加入常购清单', 'data': None, 'freshToken': None}
"""
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict5")
print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
